Package org.apache.maven.scm.provider.hg.command

## Class HgCommandConstants

- java.lang.Object
- - org.apache.maven.scm.provider.hg.command.HgCommandConstants

    public final class HgCommandConstants
    extends java.lang.Object

Available/Used hg commands.

These commands do not necessarily correspond to the SCM API. Eg. "check in" is translated to be "commit" and "push".

Author:
  thurner rupert

### Field Summary

Fields
`static java.lang.String` `ADD_CMD` Default recursive.
`static java.lang.String` `ALL_OPTION`
`static java.lang.String` `BRANCH_CMD` Create a new branch in the repo.
`static java.lang.String` `BRANCH_NAME_CMD` Named branch command
`static java.lang.String` `CHECK`
`static java.lang.String` `CLEAN_OPTION`
`static java.lang.String` `CLONE_CMD` Create a new copy of a branch.
`static java.lang.String` `COMMIT_CMD` Commit changes into a new revision
`static java.lang.String` `DATE_OPTION`
`static java.lang.String` `DIFF_CMD` Show differences in workingtree.
`static java.lang.String` `EXEC` Executable for Hg
`static java.lang.String` `INIT_CMD` Use to create an empty branch or before importing an existing project
`static java.lang.String` `INVENTORY_CMD` Show list of the current working copy or a revision
`static java.lang.String` `LIMIT_OPTION` limit number of changes displayed
`static java.lang.String` `LOG_CMD` Show log of this branch Common option: --revision
`static java.lang.String` `MESSAGE_OPTION`
`static java.lang.String` `NEW_BRANCH_OPTION`
`static java.lang.String` `NO_MERGES_OPTION`
`static java.lang.String` `NO_RECURSE_OPTION` no recurse option does not exist in mercurial
`static java.lang.String` `OUTGOING_CMD` Outgoing changes command
`static java.lang.String` `PULL_CMD` Pull any changes from another branch into the current one
`static java.lang.String` `PUSH_CMD` Push this branch into another branch
`static java.lang.String` `REMOVE_CMD` Make a file unversioned
`static java.lang.String` `REVISION_OPTION`
`static java.lang.String` `REVNO_CMD` Show current revision number
`static java.lang.String` `STATUS_CMD` Reports the following states: added, removed, modified, unchanged, unknown
`static java.lang.String` `TAG_CMD` Tag this revision
`static java.lang.String` `TEMPLATE_FORMAT` A template for the log output in order to decouple the date parsing from system and java locale, also helps avoiding bug due changes on the verbose format for log command.
`static java.lang.String` `TEMPLATE_OPTION`
`static java.lang.String` `UPDATE_CMD` update working-copy to tip
`static java.lang.String` `VERBOSE_OPTION`
`static java.lang.String` `VERSION`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EXEC

    public static final java.lang.String EXEC

Executable for Hg

See Also:
  Constant Field Values

#### INIT_CMD

    public static final java.lang.String INIT_CMD

Use to create an empty branch or before importing an existing project

See Also:
  Constant Field Values

#### ADD_CMD

    public static final java.lang.String ADD_CMD

Default recursive. Common option: --dry-run and --no-recursive

See Also:
  Constant Field Values

#### STATUS_CMD

    public static final java.lang.String STATUS_CMD

Reports the following states: added, removed, modified, unchanged, unknown

See Also:
  Constant Field Values

#### REMOVE_CMD

    public static final java.lang.String REMOVE_CMD

Make a file unversioned

See Also:
  Constant Field Values

#### CLONE_CMD

    public static final java.lang.String CLONE_CMD

Create a new copy of a branch. Alias get or clone

See Also:
  Constant Field Values

#### BRANCH_CMD

    public static final java.lang.String BRANCH_CMD

Create a new branch in the repo.

See Also:
  Constant Field Values

#### COMMIT_CMD

    public static final java.lang.String COMMIT_CMD

Commit changes into a new revision

See Also:
  Constant Field Values

#### UPDATE_CMD

    public static final java.lang.String UPDATE_CMD

update working-copy to tip

See Also:
  Constant Field Values

#### PULL_CMD

    public static final java.lang.String PULL_CMD

Pull any changes from another branch into the current one

See Also:
  Constant Field Values

#### LOG_CMD

    public static final java.lang.String LOG_CMD

Show log of this branch Common option: --revision

See Also:
  Constant Field Values

#### DIFF_CMD

    public static final java.lang.String DIFF_CMD

Show differences in workingtree. Common option: --revision

See Also:
  Constant Field Values

#### PUSH_CMD

    public static final java.lang.String PUSH_CMD

Push this branch into another branch

See Also:
  Constant Field Values

#### REVNO_CMD

    public static final java.lang.String REVNO_CMD

Show current revision number

See Also:
  Constant Field Values

#### TAG_CMD

    public static final java.lang.String TAG_CMD

Tag this revision

See Also:
  Constant Field Values

#### INVENTORY_CMD

    public static final java.lang.String INVENTORY_CMD

Show list of the current working copy or a revision

See Also:
  Constant Field Values

#### OUTGOING_CMD

    public static final java.lang.String OUTGOING_CMD

Outgoing changes command

See Also:
  Constant Field Values

#### BRANCH_NAME_CMD

    public static final java.lang.String BRANCH_NAME_CMD

Named branch command

See Also:
  Constant Field Values

#### NO_RECURSE_OPTION

    public static final java.lang.String NO_RECURSE_OPTION

no recurse option does not exist in mercurial

See Also:
  Constant Field Values

#### MESSAGE_OPTION

    public static final java.lang.String MESSAGE_OPTION

See Also:
  Constant Field Values

#### REVISION_OPTION

    public static final java.lang.String REVISION_OPTION

See Also:
  Constant Field Values

#### DATE_OPTION

    public static final java.lang.String DATE_OPTION

See Also:
  Constant Field Values

#### VERBOSE_OPTION

    public static final java.lang.String VERBOSE_OPTION

See Also:
  Constant Field Values

#### NO_MERGES_OPTION

    public static final java.lang.String NO_MERGES_OPTION

See Also:
  Constant Field Values

#### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

#### CHECK

    public static final java.lang.String CHECK

See Also:
  Constant Field Values

#### ALL_OPTION

    public static final java.lang.String ALL_OPTION

See Also:
  Constant Field Values

#### NEW_BRANCH_OPTION

    public static final java.lang.String NEW_BRANCH_OPTION

See Also:
  Constant Field Values

#### CLEAN_OPTION

    public static final java.lang.String CLEAN_OPTION

See Also:
  Constant Field Values

#### TEMPLATE_OPTION

    public static final java.lang.String TEMPLATE_OPTION

See Also:
  Constant Field Values

#### LIMIT_OPTION

    public static final java.lang.String LIMIT_OPTION

limit number of changes displayed

See Also:
  Constant Field Values

#### TEMPLATE_FORMAT

    public static final java.lang.String TEMPLATE_FORMAT

A template for the log output in order to decouple the date parsing from system and java locale, also helps avoiding bug due changes on the verbose format for log command.

See Also:
  Constant Field Values